#pragma once
/*
*  This is the bridge between hidapi and unreal and contains all the rawdata of the portal
*/
#include "CoreMinimal.h"
#include "hidapi.h"

#include "SkyPortalIO.generated.h"

DECLARE_LOG_CATEGORY_EXTERN(LogHIDApi, Log, All);
DECLARE_LOG_CATEGORY_EXTERN(LogSkyportalIO, Log, All);

UCLASS(MinimalAPI)
class SkyPortalIO : public UObjectBase
{
	GENERATED_BODY()

public:
	SkyPortalIO()
	{
		OpenPortalHandle();
	}

private:

	bool OpenPortalHandle();

	//Portal ref used in the subsystem
	hid_device* PortalDevice;


};

